: Class MultiPartCount

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.Jetty
Class MultiPartCount

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.mortbay.Jetty.MultiPartCount

public class MultiPartCount
extends javax.servlet.http.HttpServlet

Version:
  $Id: MultiPartCount.java,v 2.1 1999/09/22 15:08:38 gregw Exp $
Author:
  Greg Wilkins
See Also:
  Serialized Form

Constructor Summary
`MultiPartCount()`

Method Summary
`void` | `init()` Acts as a convenience method, so that you do not have to store a `ServletConfig` object to use as a parameter.
`void` | `service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Receives standard HTTP requests from the public `service` method and dispatches them to the `do`xxx methods defined in this class.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiPartCount

    public MultiPartCount()

Method Detail

### init

    public void init()

  Description copied from class: javax.servlet.GenericServlet
  Acts as a convenience method, so that you do not have to store a `ServletConfig` object to use as a parameter.

  If you extend `GenericServlet`, simply override this method and it will be called by `GenericServlet.init(ServletConfig config)`.

  Overrides:
    init in class javax.servlet.GenericServlet
  Tags copied from class: javax.servlet.GenericServlet
  Throws:
    javax.servlet.ServletException - if an exception occurs that interrupts the servlet's normal operation

### service

    public void service(javax.servlet.http.HttpServletRequest req,
                        javax.servlet.http.HttpServletResponse res)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Description copied from class: javax.servlet.http.HttpServlet
  Receives standard HTTP requests from the public `service` method and dispatches them to the `do`xxx methods defined in this class. This method is an HTTP-specific version of the `javax.servlet.Servlet.service` method. You will probably not need to override this method.
  Overrides:
    service in class javax.servlet.http.HttpServlet
  Tags copied from class: javax.servlet.http.HttpServlet
  Parameters:
    `req` - the `HttpServletRequest` object that contains the request the client made of the servlet
    `resp` - the `HttpServletResponse` object that contains the response the servlet returns to the client
  Throws:
    java.io.IOException - if an input or output error occurs while the servlet is handling the TRACE request
    javax.servlet.ServletException - if the request for the TRACE cannot be handled
  See Also:
    `Servlet.service(javax.servlet.ServletRequest, javax.servlet.ServletResponse)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD